Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Class IEssDataCell.EEssAccessMode

    java.lang.Object
      com.essbase.api.dataquery.IEssDataCell.EEssAccessMode

All Implemented Interfaces:
  IEssBaseObject, IEssEnum

Enclosing class:
  IEssDataCell

public static final class IEssDataCell.EEssAccessMode
extends java.lang.Object
implements IEssEnum

The EEssAccessMode is an enumeration of cell access modes.

Field Summary
`static IEssDataCell.EEssAccessMode` | `NO_ACCESS` Data Cell access mode: No access.
`static int` | `NO_ACCESS_INT_VALUE` Data Cell access mode (int value): No access.
`static IEssDataCell.EEssAccessMode` | `READ_ONLY` Data Cell access mode: Read only.
`static int` | `READ_ONLY_INT_VALUE` Data Cell access mode (int value): Read only.
`static IEssDataCell.EEssAccessMode` | `READ_WRITE` Data Cell access mode: Read write.
`static int` | `READ_WRITE_INT_VALUE` Data Cell access mode (int value): Read write.

Constructor Summary
`IEssDataCell.EEssAccessMode()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssDataCell.EEssAccessMode` | `sm_fromInt(int intValue)`
`static IEssDataCell.EEssAccessMode` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssDataCell.EEssAccessMode[]` | `sm_values()`
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_ACCESS

    public static final IEssDataCell.EEssAccessMode NO_ACCESS

  Data Cell access mode: No access.

### READ_ONLY

    public static final IEssDataCell.EEssAccessMode READ_ONLY

  Data Cell access mode: Read only.

### READ_WRITE

    public static final IEssDataCell.EEssAccessMode READ_WRITE

  Data Cell access mode: Read write.

### NO_ACCESS_INT_VALUE

    public static final int NO_ACCESS_INT_VALUE

  Data Cell access mode (int value): No access.

  See Also:
    Constant Field Values

### READ_ONLY_INT_VALUE

    public static final int READ_ONLY_INT_VALUE

  Data Cell access mode (int value): Read only.

  See Also:
    Constant Field Values

### READ_WRITE_INT_VALUE

    public static final int READ_WRITE_INT_VALUE

  Data Cell access mode (int value): Read write.

  See Also:
    Constant Field Values

Constructor Detail

### IEssDataCell.EEssAccessMode

    public IEssDataCell.EEssAccessMode()

Method Detail

### sm_fromString

    public static IEssDataCell.EEssAccessMode sm_fromString(java.lang.String strValue)
                                                     throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssDataCell.EEssAccessMode sm_fromInt(int intValue)
                                                  throws EssException

  Throws:
    `EssException`

### sm_values

    public static IEssDataCell.EEssAccessMode[] sm_values()
                                                   throws EssException

  Throws:
    `EssException`

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD